---
title: TaskAttributionTiming
slug: Web/API/TaskAttributionTiming
tags:
  - API
  - Experimental
  - Interface
  - Long Tasks API
  - Performance
  - TaskAttributionTiming
---
<p>{{SeeCompatTable}}{{APIRef("Long Tasks")}}</p>

<p>The <strong><code>TaskAttributionTiming</code></strong> interface of the <a href="/en-US/docs/Web/API/Long_Tasks_API">Long Tasks API</a> returns information about the work involved in a long task and its associate frame context. The frame context, also called the container, is the iframe, embed or object that is being implicated, on the whole, for a long task.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('TaskAttributionTiming.containerType')}} {{readonlyinline}}</dt>
 <dd>Returns the type of frame container, one of <code>iframe</code>, <code>embed</code>, or <code>object</code>.</dd>
 <dt>{{domxref('TaskAttributionTiming.containerSrc')}} {{readonlyinline}}</dt>
 <dd>Returns the container's <code>src</code> attribute.</dd>
 <dt>{{domxref('TaskAttributionTiming.containerId')}} {{readonlyinline}}</dt>
 <dd>Returns the container's <code>id</code> attribute.</dd>
 <dt>{{domxref('TaskAttributionTiming.containerName')}} {{readonlyinline}}</dt>
 <dd>Returns the container's <code>name</code> attribute.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Long Tasks','#sec-TaskAttributionTiming','TaskAttributionTiming')}}</td>
   <td>{{Spec2('Long Tasks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.TaskAttributionTiming")}}</p>
</div>
